<?php
/*
 * Copyright (C) 2022 Intergo Telecom Ltd <support@sms.to>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Joomla\Component\Smsto\Administrator\Controller;

\defined('_JEXEC') or die;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Response\JsonResponse;

/**
 * The Smsto List Controller
 * 
 * @author Panayiotis Halouvas <phalouvas@kainotomo.com>
 *
 */
class SmstoController extends AdminController
{
	/**
	 * Get the SMSto settings
     * 
     * @author Panayiotis Halouvas <phalouvas@kainotomo.com>
	 *
	 * @return  void
	 *
	 */
	public function getParams()
	{
        echo new JsonResponse(ComponentHelper::getParams('com_smsto'));
        $this->app->close();
	}

    /**
	 * Call SMSto api
     * 
     * @author Panayiotis Halouvas <phalouvas@kainotomo.com>
	 *
	 * @return  void
	 *
	 */
    public function api_call() {
        dd($this->input);
    }
}
