<?php
/*
 * Copyright (C) 2022 Intergo Telecom Ltd <support@sms.to>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

use Joomla\CMS\Uri\Uri;
use Joomla\Http\Http;

defined('_JEXEC') or die;

$response = (new Http())->get('https://integration.sms.to/component_bulk_sms/manifest.json');
$manifest = json_decode($response->body, true);

$VITE_ROUTE_PARAMS =  Uri::root() . "index.php?option=com_smsto&task=smsto.getParams";
$VITE_ROUTE_SMSTO =  Uri::root() . "index.php?option=com_smsto&task=smsto.callSmsto";

?>

<link href="https://fonts.googleapis.com/icon?family=Material+Icons+Outlined" rel="stylesheet">
<script type="module" crossorigin src="https://integration.sms.to/component_bulk_sms/<?php echo $manifest['src/main.ts']['file']; ?>"></script>
<link rel="stylesheet" href="https://integration.sms.to/component_bulk_sms/<?php echo $manifest['src/main.ts']['css'][0]; ?>" />
<div id="app_smsto" data-getParams="<?php echo $VITE_ROUTE_PARAMS; ?>" data-callSmsto="<?php echo $VITE_ROUTE_SMSTO; ?>" />
